#ifndef __DATADICT_H__
#define __DATADICT_H__

#include <QObject>
#include <QMap>
#include <QJsonObject>

class DataDict : public QObject
{
    Q_OBJECT

public:
    explicit DataDict(QObject *parent = nullptr);
    ~DataDict();

    void updateData(const QJsonObject data);
    const QJsonObject data();

private:
    QJsonObject m_data;

};

#endif  // DATADICT_H